# layer_duplicate.cpp File Reference

Implementation of the "Duplicate" layer. More...

`#include "string.h"`
`#include "layer_duplicate.h"`
`#include "time.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "renddesc.h"`
`#include "surface.h"`
`#include "value.h"`
`#include "valuenode.h"`
`#include "canvas.h"`

## Functions

| SYNFIG_LAYER_INIT (Layer_Duplicate)
| SYNFIG_LAYER_SET_NAME (Layer_Duplicate,"duplicate")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Duplicate, N_("Duplicate"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Duplicate, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Layer_Duplicate,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Duplicate,"$Id$")

## Detailed Description

Implementation of the "Duplicate" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Duplicate |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Duplicate | ,
|  | "duplicate" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Duplicate | ,
|  | N_("Duplicate") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Duplicate | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Duplicate | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Duplicate | ,
|  | "$Id$" |  |
| ) |  |  |